<?php if(!is_single()) { global $more; $more = 0; } //enable more link ?>
<?php
/** Themify Default Variables
 *  @var object */
global $themify; ?>

<?php themify_post_before(); //hook ?>
<div id="post-<?php the_id(); ?>" <?php post_class("post clearfix " . $themify->get_categories_as_classes(get_the_id())); ?> <?php themify_schema_markup(array('markup' => 'article')); ?>>
	<?php themify_post_start(); //hook ?>

	<?php
	if( $post_image = themify_get_image($themify->auto_featured_image . $themify->image_setting . "w=".$themify->width."&h=".$themify->height . '&image_meta=true') ){
		if($themify->hide_image != 'yes'): ?>
			<?php themify_before_post_image(); // Hook ?>
			<p class="post-image <?php echo $themify->image_align; ?>" <?php themify_schema_markup(array('markup' => 'image'));?>>
				<?php if( 'yes' == $themify->unlink_image): ?>
					<?php echo $post_image; ?>
				<?php else: ?>
					<a href="<?php echo themify_get_featured_image_link(); ?>"><?php echo $post_image; ?><?php themify_zoom_icon(); ?></a>
				<?php endif; ?>
			</p>
			<?php themify_after_post_image(); // Hook ?>
		<?php endif; //post image
	} ?>

	<div class="post-content">
		<div class="post-date-wrap">
			<?php if($themify->hide_date != "yes"): ?>
				<p class="post-date entry-date updated"><span class="day"><?php the_time('j') ?></span> <span class="month"><?php the_time('M') ?></span> <span class="year"><?php the_time('Y') ?></span></p>
				<?php echo themify_display_date_microdata(); // Display Post Date meta Schema.org Markup ?>
			<?php endif; ?>

			<?php  if( !themify_get('setting-comments_posts') && comments_open() ) : ?>
				<p class="post-comment"><?php comments_popup_link( __( '0 Comments', 'themify' ), __( '1 Comment', 'themify' ), __( '% Comments', 'themify' ) ); ?></p>
			<?php endif; //post comment ?>
		</div><!--/post date wrap -->

		<?php if($themify->hide_title != "yes"): ?>
			<?php themify_before_post_title(); // Hook ?>
			<?php if($themify->unlink_title == "yes"): ?>
				 <h1 class="post-title entry-title" <?php themify_schema_markup(array('markup' => 'title'));?>><?php the_title(); ?></h1>
			<?php else: ?>
				 <h1 class="post-title entry-title" <?php themify_schema_markup(array('markup' => 'title'));?>><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h1>
			<?php endif; ?>
			<?php themify_after_post_title(); // Hook ?>
		<?php endif; //post title ?>

		<div class="entry-content" <?php themify_schema_markup(array('markup' => 'content')); ?>>

		<?php if ( 'excerpt' == $themify->display_content && ! is_attachment() ) : ?>
			<?php the_excerpt(); ?>

			<?php if( themify_check('setting-excerpt_more') ) : ?>
				<p><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute('echo=0'); ?>" class="more-link"><?php echo themify_check('setting-default_more_text')? themify_get('setting-default_more_text') : __('More &rarr;', 'themify') ?></a></p>
			<?php endif; ?>
		<?php elseif ( 'none' == $themify->display_content && ! is_attachment() ) : ?>
		<?php else: ?>
			<?php the_content(themify_check('setting-default_more_text')? themify_get('setting-default_more_text') : __('More &rarr;', 'themify')); ?>
		<?php endif; //display content ?>

		</div><!-- /.entry-content -->

		<?php if($themify->hide_meta != 'yes') { ?>
			<div class="post-meta entry-meta">
				<?php echo themify_display_publisher_microdata(); //Display User Organization Schema.org Markup ?>
				<span class="post-author"><em><?php _e( 'By:', 'themify' ); ?></em> <?php echo themify_get_author_link(); ?></span>
				<span class="post-category"><em><?php _e( 'Category:', 'themify' ); ?></em> <?php the_category(', ') ?></span>
				<?php the_tags(__(' <span class="post-tag"><em>Tags:</em> ','themify'), ', ', '</span>'); ?>
			</div>
		<?php } ?>
	</div>
	<!--/post-content -->

	<?php edit_post_link(__('Edit','themify'), '[', ']'); ?>
	<?php themify_post_end(); //hook ?>

	<meta <?php themify_schema_markup(array('markup' => 'entry')); //Display Post Permalink Schema.org Markup ?>>

</div>
<!--/post -->
<?php themify_post_after(); //hook ?>
